extends RigidBody2D

var HitEffect = preload("res://Effects/HitEffects/HitEffect.tscn")
export(int) var damage = 1
export(int) var speed = 400
export(bool) var destroy_on_hit = true


func print_type():
	print("Type BaseBullet")
	

#func _physics_process(_delta):
#	var bodies = get_colliding_bodies()
#	for body in bodies:
#		if body.is_in_group("enemies"):
#			body.collided_with_body(self)


func create_hit_effect():
	Utils.defer_instance_to_scene(HitEffect, global_position)


func destroy():
	create_hit_effect()
	queue_free()


func _on_VisibilityNotifier2D_screen_exited():
	queue_free()


func _on_Hitbox_hitbox_hit():
#	print("Bullet hitbox hit")
	if destroy_on_hit:
		destroy()
