extends Node


var ship_position: Vector2 = Vector2.ZERO setget set_ship_position, get_ship_position
var last_position: Vector2 = Vector2.ZERO
var ship setget set_ship, get_ship

var score: int = 0 setget set_score
var highscore: int = 0
var is_counting: bool = false
var first_round: bool = true


func set_ship(_value):
	pass

func get_ship():
#	print("Getting Ship")
	var current_scene = get_tree().current_scene
	if current_scene.is_in_group('stage'):
		var instance = get_tree().current_scene.ship
		if is_instance_valid(instance):
#			print("Returning Instance")
			return instance
#	print("Returning Null")
	return null


func set_ship_position(value: Vector2):
	if value:
		ship_position = value
	last_position = value

func get_ship_position() -> Vector2:
#	print("Getting ship position")
	if self.ship and is_instance_valid(self.ship):
		ship_position = self.ship.global_position
		last_position = ship_position
		return ship_position
	return last_position


func set_score(value: int):
	if is_counting:
		score = value
		if value > highscore:
			highscore = score
