extends Node

signal died
signal changed

export(int) var MAX_HEALTH = 1
onready var health setget set_health


func _ready():
	health = MAX_HEALTH
	

func set_health(value: int):
	health = clamp(value, 0, MAX_HEALTH)
	if health == 0:
		emit_signal("died")
	else:
		emit_signal("changed")
