extends RigidBody2D

export(int) var SPEED = 250
signal dollar_exited


func _on_VisibilityNotifier2D_screen_exited():
	var main = get_tree().current_scene
	if main.is_in_group('stage'):
		# print("Dollar Exited Signal")
		emit_signal("dollar_exited")
	queue_free()

func _ready():
	# print("Connecting Dollar to main")
	var main = get_tree().current_scene
	if main.is_in_group('stage'):
		connect("dollar_exited", main, "_on_Dollar_exited")
