extends Area2D

export(int) var SPEED = 150
export(int) var AMOUNT = 2

func _process(delta):
	#position.x -= SPEED * delta
	#print("Ship Position: " + str(Stats.ship_position))
	#print("Fuel Position: " + str(position))
	position = position.move_toward(GlobalData.ship_position, SPEED * delta)


func _on_Fuel_area_entered(ship):
	if ship.is_in_group('player'):
		ship.fuel_up(AMOUNT)
		queue_free()
