extends "res://Enemy/BaseEnemy.gd"

const Bullet = preload("res://Effects/Weapons/KikeStarBullet.tscn")

onready var ShootTimer = $ShootTimer
var num_shots: int = 0


func _physics_process(_delta):
	if not ShootTimer.time_left and num_shots < 3:
		shoot()
		num_shots += 1

func shoot():
	var muzzle_position = global_position + Vector2.UP.rotated(rotation) * 20
	var bullet = Utils.defer_instance_to_scene(Bullet, muzzle_position)
	bullet.rotation = rotation
	bullet.apply_central_impulse(Vector2.UP.rotated(rotation).normalized() * 200)
	ShootTimer.start()

func destroy():
	if randi() % 2 == 0:
		VoiceBox.insult_niggers()
	.destroy()
