extends Node2D

onready var bar1 = $Bar1
onready var bar2 = $Bar2
onready var bar3 = $Bar3
onready var bar4 = $Bar4
onready var bar5 = $Bar5
onready var bar6 = $Bar6
onready var bar7 = $Bar7


func update_health():
	var stats = GlobalData.ship.stats
	var health = stats.health
	var max_health = stats.MAX_HEALTH
	var bars = [bar7, bar6, bar5, bar4, bar3, bar2, bar1]
	var health_per_step = float(max_health) / bars.size()
	var pos = bars.size()
	
	for bar in bars:
		var remainder = health - (health_per_step * pos)
		
		if remainder > (2 * (health_per_step / 3)):
			bar.frame = 0
			bar.visible = true
		elif remainder > (health_per_step / 3):
			bar.frame = 1
			bar.visible = true
		elif remainder >= 1:
			bar.frame = 2
			bar.visible = true
		else:
			bar.visible = false
	
		pos -= 1
