extends Node


func defer_instance_to_scene(scene, position):
	var main = get_tree().current_scene
	var obj = scene.instance()
	assert(obj)
	main.call_deferred("add_child", obj)
	if position:
		obj.global_position = position
	return obj

func add_instance_to_scene(scene, position):
	var main = get_tree().current_scene
	var obj = scene.instance()
	assert(obj)
	main.add_child(obj)
	if position:
		obj.global_position = position
	return obj
