extends Node

var audio_queue: Array = []
onready var Player = $Player

var insults_generic = [
"res://Resources/Sound/speech/insults generic/01.ogg",
"res://Resources/Sound/speech/insults generic/02.ogg",
"res://Resources/Sound/speech/insults generic/03.ogg",
"res://Resources/Sound/speech/insults generic/04.ogg",
"res://Resources/Sound/speech/insults generic/05.ogg",
"res://Resources/Sound/speech/insults generic/06.ogg",
"res://Resources/Sound/speech/insults generic/07.ogg",
"res://Resources/Sound/speech/insults generic/08.ogg",
"res://Resources/Sound/speech/insults generic/09.ogg",
"res://Resources/Sound/speech/insults generic/10.ogg",
"res://Resources/Sound/speech/insults generic/11.ogg",
#"res://Resources/Sound/speech/insults generic/horny.ogg"	
]

var insults_commies = insults_generic + [
	"res://Resources/Sound/speech/insults commies/01.ogg",
	"res://Resources/Sound/speech/insults commies/02.ogg",
	"res://Resources/Sound/speech/insults commies/03.ogg",
	"res://Resources/Sound/speech/insults commies/04.ogg",
	"res://Resources/Sound/speech/insults commies/05.ogg",
	"res://Resources/Sound/speech/insults commies/06.ogg",
	"res://Resources/Sound/speech/insults commies/07.ogg",
	"res://Resources/Sound/speech/insults commies/08.ogg",
]

var insults_npc = insults_generic + [
	"res://Resources/Sound/speech/insults npcs/01.ogg",
	"res://Resources/Sound/speech/insults npcs/02.ogg",
	"res://Resources/Sound/speech/insults npcs/03.ogg",
	"res://Resources/Sound/speech/insults npcs/04.ogg",
	"res://Resources/Sound/speech/insults npcs/05.ogg",
	"res://Resources/Sound/speech/insults npcs/06.ogg",
	"res://Resources/Sound/speech/insults npcs/07.ogg"
]

var insults_kikes = [
	#"res://Resources/Sound/speech/insults kikes/01.ogg",
	#"res://Resources/Sound/speech/insults kikes/02.ogg",
	"res://Resources/Sound/speech/insults kikes/03.ogg",
	"res://Resources/Sound/speech/insults kikes/04.ogg",
	#"res://Resources/Sound/speech/insults kikes/05.ogg",
	"res://Resources/Sound/speech/insults kikes/06.ogg",
	"res://Resources/Sound/speech/insults kikes/07.ogg",
	"res://Resources/Sound/speech/insults kikes/08.ogg",
	"res://Resources/Sound/speech/insults kikes/09.ogg",
	"res://Resources/Sound/speech/insults kikes/10.ogg",
	"res://Resources/Sound/speech/insults kikes/11.ogg",
	"res://Resources/Sound/speech/insults kikes/12.ogg",
	"res://Resources/Sound/speech/insults kikes/13.ogg",
	"res://Resources/Sound/speech/insults kikes/14.ogg"
]

var insults_niggers = insults_generic + [
	"res://Resources/Sound/speech/insults niggers/01.ogg",
	"res://Resources/Sound/speech/insults niggers/02.ogg",
	"res://Resources/Sound/speech/insults niggers/03.ogg",
	"res://Resources/Sound/speech/insults niggers/04.ogg",
	"res://Resources/Sound/speech/insults niggers/05.ogg",
	"res://Resources/Sound/speech/insults niggers/06.ogg",
	"res://Resources/Sound/speech/insults niggers/07.ogg",
	"res://Resources/Sound/speech/insults niggers/08.ogg",
	"res://Resources/Sound/speech/insults niggers/09.ogg",
	"res://Resources/Sound/speech/insults niggers/10.ogg"
]

var insults_sluts = insults_generic + [
	"res://Resources/Sound/speech/insults sluts/01.ogg",
	"res://Resources/Sound/speech/insults sluts/02.ogg",
	"res://Resources/Sound/speech/insults sluts/03.ogg",
	"res://Resources/Sound/speech/insults sluts/04.ogg",
	"res://Resources/Sound/speech/insults sluts/05.ogg",
	"res://Resources/Sound/speech/insults sluts/06.ogg",
	"res://Resources/Sound/speech/insults sluts/07.ogg",
	"res://Resources/Sound/speech/insults sluts/08.ogg",
	"res://Resources/Sound/speech/insults sluts/09.ogg",
	"res://Resources/Sound/speech/insults sluts/10.ogg",
	"res://Resources/Sound/speech/insults sluts/11.ogg"
]

var insults_police = insults_generic + [
	"res://Resources/Sound/speech/insults police/01.ogg",
	"res://Resources/Sound/speech/insults police/02.ogg"
]

var wisdoms = [
	"res://Resources/Sound/speech/wisdoms/01.ogg",
	"res://Resources/Sound/speech/wisdoms/02.ogg",
	"res://Resources/Sound/speech/wisdoms/03.ogg",
	"res://Resources/Sound/speech/wisdoms/04.ogg",
	"res://Resources/Sound/speech/wisdoms/05.ogg",
	"res://Resources/Sound/speech/wisdoms/06.ogg",
	"res://Resources/Sound/speech/wisdoms/07.ogg",
	"res://Resources/Sound/speech/wisdoms/08.ogg",
	"res://Resources/Sound/speech/wisdoms/09.ogg",
	"res://Resources/Sound/speech/wisdoms/10.ogg",
	"res://Resources/Sound/speech/wisdoms/11.ogg",
	"res://Resources/Sound/speech/wisdoms/12.ogg",
	"res://Resources/Sound/speech/wisdoms/13.ogg",
	"res://Resources/Sound/speech/wisdoms/14.ogg",
	"res://Resources/Sound/speech/wisdoms/15.ogg",
	"res://Resources/Sound/speech/wisdoms/16.ogg",
	"res://Resources/Sound/speech/wisdoms/17.ogg",
	"res://Resources/Sound/speech/wisdoms/18.ogg",
	"res://Resources/Sound/speech/wisdoms/19.ogg",
	"res://Resources/Sound/speech/wisdoms/20.ogg",
	"res://Resources/Sound/speech/wisdoms/21.ogg",
	"res://Resources/Sound/speech/wisdoms/22.ogg"
]


func _ready():
	randomize()


func _on_Player_finished():
	if not audio_queue.empty():
		Player.stream = load(audio_queue.pop_front())
		Player.play()


func is_playing():
	return Player.playing


func start_playing():
	if not is_playing() and audio_queue.size():
		Player.stream = load(audio_queue.pop_front())
		Player.play()


func clear_playlist():
	if Player.playing:
		Player.stop()
	audio_queue.clear()


func play_resource(res_name, clear=false):
	if clear:
		clear_playlist()
	audio_queue.append(res_name)
	start_playing()


func play_wisdom():
	play_resource(wisdoms[randi() % wisdoms.size()], true)


func play_welcome():
	play_resource("res://Resources/Sound/speech/ingame lines/01 cockpit.ogg", true)


func play_1488():
	play_resource("res://Resources/Sound/speech/ingame status/14 words.ogg", true)


func play_kill_more():
	play_resource("res://Resources/Sound/speech/ingame status/kill moar.ogg", true)

func play_kill_more_npcs():
	play_resource("res://Resources/Sound/speech/ingame status/you musk kill moar npcs.ogg", true)

func play_fuel_low():
	play_resource("res://Resources/Sound/speech/ingame status/fuel low.ogg", true)

func play_mission_accomplished():
	play_resource("res://Resources/Sound/speech/ingame lines/horny.ogg", true)

func play_gas_the_kikes():
	play_resource("res://Resources/Sound/speech/ingame lines/Gas the Kikes.ogg", true)

func warn_shekels():
	play_resource("res://Resources/Sound/speech/ingame lines/03 Kike throws Money.ogg", true)

func warn_almost_dead():
	play_resource("res://Resources/Sound/speech/ingame status/youre almost dead.ogg", true)

func play_ss_gun():
	play_resource("res://Resources/Sound/speech/ingame lines/02 SS-Gun 01 Right.ogg", true)

func insult_commies():
	play_resource(insults_commies[randi() % insults_commies.size()])


func insult_kikes():
	play_resource(insults_kikes[randi() % insults_kikes.size()])


func insult_niggers():
	play_resource(insults_niggers[randi() % insults_niggers.size()])


func insult_npcs():
	play_resource(insults_npc[randi() % insults_npc.size()])


func insult_police():
	play_resource(insults_police[randi() % insults_police.size()])


func insult_sluts():
	play_resource(insults_sluts[randi() % insults_sluts.size()])


"""
https://freelyconvertonline.com/text-to-speech/

Voice: Ivy

Ingame Lines:

Hi, I'm your cockpit! Welcome! I love shooting things up, and I hate niggers and kykes! Let's go and kill some NPCs!

Hey, you found the SS-Gun! Now you can shoot in all directions! Use your mouse to aim and shoot with the right mouse-button

Hey, you found the SS-Gun! Now you can shoot in all directions! Use your mouse to aim and shoot with the left mouse-button

Great! Now you have the SS-Gun and can shoot in all directions! Use your mouse to aim and shoot with the right mouse-button

Great! Now you have the SS-Gun and can shoot in all directions! Use your mouse to aim and shoot with the left mouse-button

Don't let this Kyke throw his money! He is calling for help!


Wisdoms:

Hey, if you like this game, please share it with others!

Remember kids, don't talk to shitskins, kykes, and niggers, or else they will eat you alive!

Remember kids, don't talk to the police, or else they will kill your parents!

Remember kids, if you want to become a Saint, you need to get a good highscore!

Remember kids, don't talk to faggots, or else you will catch aids!

Remember kids, the police is your enemy!

Remember kids, voting doesn't work, and all politicians must be hanged!

Remember kids, teachers are there to brainwash you, into complacent whores and faggots!

Remember kids, Augusto Pinochet saved his country from communism!

Remember kids, always use crypto, so that you don't have to pay the nigger-tax!

Remember kids, islam is right about women!

Remember kids, only an oppressed woman is a happy wife!

Remember kids, niggers aren't human!

Remember kids, Communists aren't people!

Remember Kids, always shoot first and ask questions later!

Remember Kids, always read the early life section in weekeepedia!

Remember kids, always kill all the NPCs, or else they will eat your soul!

Remember Kids, Give a Commie welfare, and he'll eat for half a day! But kick him out of an helicopter, and he'll fly for the rest of his life!

Remember kids, The only good thing about niggers is, that sometimes they kill cops!

Remember kids, Adolf Hitler did nothing wrong!

Remember kids, Brenton Tarrant did nothing wrong!

Remember kids, Uncle Ted was right!



Ingame Status:

Sheeld low!

You're almost dead!

Fuel!

Fuel Low!

Your fuel is low!

Kill more!

You must kill more En-Pee-Cees!

We must secure the existence of our people and a future for white children!



Generic Insults:

Oh yeah!

Do I feel horny, or is it rage? I can't tell the difference!

I'll rub you with kerosene and light you up!

I'll slice up your face!

Get raped!

Get raped by a nigger!

I'll cut your fucking head off!

Fucking Slave!

Scum!

Peekaboo!

Blood for the blood-god!

I'll stab you and rape you in the wound!



Kykes:

Gas the kykes, racewar now!

Kill the kykes, racewar now!

I fucking hate Jews!

I fucking hate Kykes!

One kyke less!

Burning kykes alive makes me feel happy!

Burning jews alive makes me feel happy!

Burn, you kyke!

Fucking Jew!

Dirty Jew!

Here, get some delousing agent!

What a Kyke!

Jew!

Kyke!



Sluts:

Roal over you slut!

I will cut off your tits and rape you!

I'll rape you with my barrel!

Come here so I can rape you!

Women must be oppressed!

Go back into the kitchen, where you belong!

Burn the coal, pay the toal!

Burn you slut!

One slut less!

Cunt!

Slut!

Burn you whore!



NPCs:

I fucking hate En-pee-cees!

Fucking Midwits!

Die, you Mitwit!

One NPC less!

Die, you faggot!

Faggot!

Burn, you faggot!



Niggers:

All fucking niggers must fucking hang!

I fucking hate Niggers!

Come here you nigger, so I can gut you!

Die, you nigger!

Go and be a nigger somewhere else!

One nigger less!

Nigger!

Burning niggers alive makes me feel happy!

Burn, you nigger!

Fucking monkey!



Commies: 

One commie less!

Die, you Commie!

Fucking Commie!

Dirty Commie!

I fucking hate Commies!

Burning commies alive makes me feel happy!

Burn, you Commie!

Die, anteefuh scum!



Police:

Pigs in a blanket, fry 'em like bacon!

Fuck the police!
"""
