extends Node

onready var NoticePlayer = $NoticePlayer
onready var QuitLabel = $CenterContainer/VBoxContainer/QuitLabel
onready var VersionLabel = $VersionLabel

func _ready():
	Music.play_music()
	if OS.has_feature("HTML5"):
		$CenterContainer/VBoxContainer/QuitLabel.visible = false
		if not GlobalData.first_round:
			NoticePlayer.play()
	if OS.is_debug_build():
		VersionLabel.text = "DEBUG"


func _process(_delta):
	if Input.is_action_just_pressed("ui_fire_swastika") and not NoticePlayer.playing:
		get_tree().change_scene("res://World.tscn")
	elif Input.is_action_just_pressed("ui_quit") and not NoticePlayer.playing and not OS.has_feature("HTML5"):
		get_tree().change_scene("res://ExitScreen.tscn")
